<div class="d-flex flex-column justify-content-center mainDiv">
    <div class="card col-6 mx-auto mt-3 meetingCard">
            <div class="card-body ">
                 <form [formGroup]="meetingForm" (ngSubmit)="createMeeting()">
                    <h4 class="text-center textColor">Create Meeting</h4>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                            <label for="firstName">First name</label>
                            <input type="email" class="form-control" id="firstName" placeholder="Enter first name" name="firstName" formControlName="firstName" [ngClass]="{ 'is-invalid': submitted && f.firstName.errors }">
                            <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
                              <div *ngIf="f.firstName.errors.required">First name is required</div>
                             
                            </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                          <div class="form-group">
                            <label for="lastName">Last name</label>
                            <input type="text" class="form-control" id="lastName" placeholder="Enter last name" name="lastName" formControlName="lastName" >
                          </div> 
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control" id="email" placeholder="Enter email" name="email"
                            formControlName="email" [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
                            <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                              <div *ngIf="f.email.errors.required">Email is required</div>
                              <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
                            </div>
                            </div>
                            
                        </div>
                        <div class="col-md-6">
                          <div class="form-group">
                            <label for="phoneNumber">Phone number</label>
                            <ngx-intl-tel-input
	                        	[cssClass]="'custom'"
	                        	[preferredCountries]="[CountryISO.UnitedStates, CountryISO.UnitedKingdom]"
	                        	[enablePlaceholder]="true"
	                        	[searchCountryFlag]="true"
	                        	[searchCountryField]="[SearchCountryField.Iso2, SearchCountryField.Name]"
	                        	[selectFirstCountry]="false"
	                        	[enableAutoCountrySelect]="true"
	                        	[phoneValidation]="true"
	                        	name="phoneNumber"
	                        	formControlName="phoneNumber"
	                        ></ngx-intl-tel-input>
                            
                            <div *ngIf="submitted && f.phoneNumber.errors" class="invalid-feedback">
                              <div *ngIf="f.phoneNumber.errors.required">Phone number is required</div>
                              <div *ngIf="f.phoneNumber.errors.minlength">Phone number must be at least 10 digits</div>
                            </div>
                          </div> 
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                            <label for="address">Address</label>
                            <textarea type="text" class="form-control" id="address" rows="1" placeholder="Enter address" name="address" formControlName="address"></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                          <div class="form-group">
                            <label for="time">Meeting time</label>
                            <input type="datetime-local" class="form-control" id="time" placeholder="Enter time" name="time"
                            formControlName="time" [ngClass]="{ 'is-invalid': submitted && f.time.errors }">
                            <div *ngIf="submitted && f.time.errors" class="invalid-feedback">
                              <div *ngIf="f.time.errors.required">Time is required</div>
                              
                          </div> 
                        </div>
                        </div>
                    </div>
                        <div class="text-center mt-2">
                         <button type="submit" class="btn btn-primary buttonColor ">Save</button>
                        </div>
                    </form>
            <div>
    </div>
 </div>
